//	Copyright 2010 PaletteSoft LLC

//	******  ******* *     * *******  *****  *******                           
//	*     * *       *     *    *    *     * *                                 
//	*     * *       *     *    *    *       *                                 
//	*     * ******* *     *    *    *       *******                           
//	*     * *        *   *     *    *       *                                 
//	*     * *         * *      *    *     * *                                 
//	******  *******    *    *******  *****  *******                           

// ===========================================================================
// =	CL^															 =
// ===========================================================================
//	002 2010.09.23
//	EC
// ---------------------------------------------------------------------------
//	001 2010.09.23
//	EVK쐬@PIC 24FJ64GA002 3.3V 쓮p@by@A.Ohta
// ===========================================================================

// ***************************************************************************
// ***************************************************************************
// *	CN[ht@C												 *
// ***************************************************************************
// ***************************************************************************

#include	"p24FJ64GA002.h"

#include	<uart.h>

	//	***** 錾 *****

#include	"device.h"

	//	*****  *****

// ***************************************************************************
// *	zdl																 *
// ***************************************************************************
/*
	PIC24F UART ]TvvO	PIC24FJ64GA002  CLOCK:8MHz Vdd = 3.3V

	RA0:
	RA1:
	RA2:
	RA3:
	RA4:

	RB0:
	RB1:
	RB2:
	RB3:

	RP4:UART1 TX to RP4
	RP5:UART1 RX to RP5

	RB6:
	RB7:

	RB8:
	RB9:
	RB10:
	RB11:
	RB12:
	RB13:
	RB14:
	RB15:

*/


// ***************************************************************************
// *																	 *
// ***************************************************************************

/// RtBM[V rbg̐ݒ
	_CONFIG1(
			JTAGEN_OFF												// JTAG̎gpF
		&	GCP_OFF													// R[hveNgFȂ
		&	GWRP_OFF												// ݃veNgFȂ
		&	BKBUG_OFF												// obNOEhfobOF
		&	COE_OFF													// NbvIG~[VF
		&	ICS_PGx1												// EMUC/EMUDPCG1/PGD1Ƌp
		&	FWDTEN_OFF												// WDTF
	) 

/// Fosc = FRC (8MHz)
	_CONFIG2(
			IESO_OFF												// QxX^[gAbvF
		&	FNOSC_FRC												// ȖIFFRCI
		&	FCKSM_CSDCMD											// NbN؂ւENbNj^Fɖ
		&	OSCIOFNC_OFF											// OSCOs@\FOSCO܂Fosc/2̏o͂
		&	IOL1WAY_OFF												// RPWX^veNgFveNgȂ
		&	I2C1SEL_PRI												// I2C1̃sIFsgp
		&	POSCMOD_NONE											// 唭UFgpȂ
)

// ***************************************************************************
// ***************************************************************************
// *	Œl																 *
// ***************************************************************************
// ***************************************************************************

// ***************************************************************************
// ***************************************************************************
// *	\																 *
// ***************************************************************************
// ***************************************************************************

// ***************************************************************************
// ***************************************************************************
// *	O[oϐ															 *
// ***************************************************************************
// ***************************************************************************

unsigned int U1MODEvalue = 0b1000100000001000;		// UART1ݒ@mode
unsigned int U1STAvalue =  0b0000010000000000;		// UART1ݒ
unsigned int Baud = 51;								// 19200bps@4MHz mode

// ***************************************************************************
// ***************************************************************************
// *	e[u																 *
// ***************************************************************************
// ***************************************************************************


// ***************************************************************************
// ***************************************************************************
// *	}N錾																 *
// ***************************************************************************
// ***************************************************************************


// ***************************************************************************
// ***************************************************************************
// *	vg^Cv錾															 *
// ***************************************************************************
// ***************************************************************************


// ***************************************************************************
// ***************************************************************************
// *	{																 *
// ***************************************************************************
// ***************************************************************************

//	
//	
//
// 		{
//
//	
//	
void	DevStd______(void) {}											//	op֐

//============================================================================
//	ݒ
//----------------------------------------------------------------------------
//	́F	
//	óF	
//----------------------------------------------------------------------------
//	lF	ohb}CRݒ肵܂B
//			Zbg̏lōςޏꍇ͍Đݒ肵Ă܂B
//============================================================================
void	DevInit(void)
{
	//	***** { *****

	//	***** o̓|[g *****

	//I/Oݒ
	CLKDIV = 0;										// set 1:1	
	AD1PCFG = 0xFFFF;   							// |[gA@SfBW^Ɏw
	TRISB = 0x0020;									// |[gB Only RP5 is input

	RPINR18bits.U1RXR = 5;							// UART1 RX to RP5
	RPOR2bits.RP4R = 3;								// UART1 TX to RP4

	OpenUART1( U1MODEvalue, U1STAvalue, Baud);		// INIT for UART1 with 19200 8bit nonparity nonflowcnt.
}

// ***************************************************************************
// ***************************************************************************
// *																		 *
// ***************************************************************************
// ***************************************************************************

//	Copyright 2010 PaletteSoft LLC
